package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.AssertFalse;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseProjectBidPlanPageBody extends BasePage {
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer cid;

    /**
     * 查询关键字
     */
    private String keys;

    /*
     * 排序字段：1金额倒序，2金额正序，3发布时间倒序，4发布时间正序，15预计招标时间倒序，16预计招标时间正序
     */
    private Integer sort;

    public boolean isVaildCid() {
        return 0 == cid;
    }
}
